/*
 * $Id: CannotInstantiateObjectExceptionTest.java 1066446 2011-02-02 12:38:04Z apetrelli $
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.tiles.request.reflect;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * Tests {@link CannotInstantiateObjectException}.
 *
 * @version $Rev: 1066446 $ $Date: 2011-02-02 13:38:04 +0100 (Wed, 02 Feb 2011) $
 */
public class CannotInstantiateObjectExceptionTest {

    /**
     * Test method for {@link org.apache.tiles.CannotInstantiateObjectException#CannotInstantiateObjectException()}.
     */
    @Test
    public void testCannotInstantiateObjectException() {
        CannotInstantiateObjectException exception = new CannotInstantiateObjectException();
        assertNull(exception.getMessage());
        assertNull(exception.getCause());
    }

    /**
     * Test method for {@link CannotInstantiateObjectException#CannotInstantiateObjectException(String)}.
     */
    @Test
    public void testCannotInstantiateObjectExceptionString() {
        CannotInstantiateObjectException exception = new CannotInstantiateObjectException("my message");
        assertEquals("my message", exception.getMessage());
        assertNull(exception.getCause());
    }

    /**
     * Test method for {@link CannotInstantiateObjectException#CannotInstantiateObjectException(Throwable)}.
     */
    @Test
    public void testCannotInstantiateObjectExceptionThrowable() {
        Throwable cause = new Throwable();
        CannotInstantiateObjectException exception = new CannotInstantiateObjectException(cause);
        assertEquals(cause.toString(), exception.getMessage());
        assertEquals(cause, exception.getCause());
    }

    /**
     * Test method for {@link CannotInstantiateObjectException#CannotInstantiateObjectException(String, Throwable)}.
     */
    @Test
    public void testCannotInstantiateObjectExceptionStringThrowable() {
        Throwable cause = new Throwable();
        CannotInstantiateObjectException exception = new CannotInstantiateObjectException("my message", cause);
        assertEquals("my message", exception.getMessage());
        assertEquals(cause, exception.getCause());
    }

}
